org.apache.poi.hwmf.record

## Enum HwmfRegionMode

- java.lang.Object
- - java.lang.Enum<HwmfRegionMode>
  - - org.apache.poi.hwmf.record.HwmfRegionMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfRegionMode>

      public enum HwmfRegionMode
      extends java.lang.Enum<HwmfRegionMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RGN_AND` The new clipping region includes the intersection (overlapping areas) of the current clipping region and the current path (or new region).
    `RGN_COMPLEMENT` This is the opposite of `RGN_DIFF`, and only made-up for compatibility with EMF+
    `RGN_COPY` The new clipping region is the current path (or the new region).
    `RGN_DIFF` The new clipping region includes the areas of the current clipping region with those of the current path (or new region) excluded.
    `RGN_OR` The new clipping region includes the union (combined areas) of the current clipping region and the current path (or new region).
    `RGN_XOR` The new clipping region includes the union of the current clipping region and the current path (or new region) but without the overlapping areas

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Shape` | `applyOp(java.awt.Shape oldClip, java.awt.Shape newClip)`
    `int` | `getFlag()`
    `static HwmfRegionMode` | `valueOf(int flag)`
    `static HwmfRegionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfRegionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RGN_AND

          public static final HwmfRegionMode RGN_AND

      The new clipping region includes the intersection (overlapping areas) of the current clipping region and the current path (or new region).

    - #### RGN_OR

          public static final HwmfRegionMode RGN_OR

      The new clipping region includes the union (combined areas) of the current clipping region and the current path (or new region).

    - #### RGN_XOR

          public static final HwmfRegionMode RGN_XOR

      The new clipping region includes the union of the current clipping region and the current path (or new region) but without the overlapping areas

    - #### RGN_DIFF

          public static final HwmfRegionMode RGN_DIFF

      The new clipping region includes the areas of the current clipping region with those of the current path (or new region) excluded.

    - #### RGN_COPY

          public static final HwmfRegionMode RGN_COPY

      The new clipping region is the current path (or the new region).

    - #### RGN_COMPLEMENT

          public static final HwmfRegionMode RGN_COMPLEMENT

      This is the opposite of `RGN_DIFF`, and only made-up for compatibility with EMF+

  - ### Method Detail

    - #### values

          public static HwmfRegionMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfRegionMode c : HwmfRegionMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfRegionMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HwmfRegionMode valueOf(int flag)

    - #### getFlag

          public int getFlag()

    - #### applyOp

          public java.awt.Shape applyOp(java.awt.Shape oldClip,
                                        java.awt.Shape newClip)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.